Subject: offloading does not honor --fallback

From: ng0 <[email-masked]>
Date: Thu, 06 Oct 2016 08:54:04 +0000

Currently offloading can not make use of --fallback, if sources are gone
or otherwise marked as not available, the machine builds are offloaded
to does not fetch the sources.

Recent example is libxt: Running "guix build libxt" gave 410 gone. I
tried "guix build --fallback libxt", same behavior. Running "guix build
--fallback --no-build-hook libxt" succeeded.
Therefore I conclude that offloading has no possibility to deal with --fallback.
--